Index: /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/plugins/PluginsInfo.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/plugins/PluginsInfo.java	(revision 1014)
+++ /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/plugins/PluginsInfo.java	(revision 1091)
@@ -58,5 +58,5 @@
 		PluginsInfo.backend = backend;
 		
-		if(!Start.applet)
+		if( !Start.applet )
  		{
 			classLoader = new URLClassloader(new URL[]{Start.programURL}, getClass().getClassLoader());
@@ -66,13 +66,12 @@
 		
 		
-		
-	//	nu.fw.jeti.plugins.xmppuri.Plugin.init(backend);
-		
+//		nu.fw.jeti.plugins.xmppuri.Plugin.init(backend);
 //		loadedPlugins.put("xmpp",nu.fw.jeti.plugins.xmpp.Plugin.class);
 //		nu.fw.jeti.plugins.xmpp.Plugin.init(backend);
+
 //		loadedPlugins.put("compression",nu.fw.jeti.plugins.compression.Plugin.class);
 //		nu.fw.jeti.plugins.compression.Plugin.init(backend);
-		
 //		loadedPreferencePanels.put("groupchatalerter",nu.fw.jeti.plugins.groupchatalerter.PrefPanel.class);
+		
 //		loadedPlugins.put("groupchatalerter",nu.fw.jeti.plugins.groupchatalerter.Plugin.class);
 //		nu.fw.jeti.plugins.groupchatalerter.Plugin.init(backend);
@@ -84,5 +83,5 @@
 //		nu.fw.jeti.plugins.useractivity.Plugin.init(backend);
 //
-	//	nu.fw.jeti.plugins.jingle.Plugin.init(backend);
+//		nu.fw.jeti.plugins.jingle.Plugin.init(backend);
 		
 		
@@ -175,5 +174,4 @@
 	}
 	
-
 	public static boolean isPluginLoaded(String name)
 	{
Index: /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/applet/Jeti.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/applet/Jeti.java	(revision 1064)
+++ /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/applet/Jeti.java	(revision 1091)
@@ -142,4 +142,5 @@
 				{
                      exitURL = new URL(getDocumentBase(),getParameter("EXITPAGE"));
+                     javax.swing.JOptionPane.showMessageDialog(null, "exitUrl : " + exitURL);
 				} 
 				catch (MalformedURLException e){}
@@ -158,5 +159,5 @@
 				Start.applet = true;
 				final JPanel panel = new JPanel(new BorderLayout());
-				start = new Start(getCodeBase().toString(),panel);
+				start = new Start( getCodeBase().toString(),panel );
 				
 				backend = start.getBackend();
@@ -298,5 +299,5 @@
 			applet.getAppletContext().showDocument(new URL(url),"_blank");
 		}
-		catch (MalformedURLException e){/*wrong url*/}
+		catch (MalformedURLException e){}
 	}
 		
@@ -331,4 +332,5 @@
 		if( !started )
 			return false;
+		
 		return backend.isLoggedIn();
 	}
@@ -383,8 +385,7 @@
 		{
 			JID j = backend.getMyJID();
-			if(j.getDomain().equals(server)&& j.getUser().equals(username))
-			{
+			
+			if( j.getDomain().equals(server) && j.getUser().equals(username) )
 				return;
-			}
 		}
 		secureMethodInvoker.addData(new Object[]{"login",username,server,password});
Index: /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/StatusIcons.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/StatusIcons.java	(revision 1014)
+++ /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/StatusIcons.java	(revision 1091)
@@ -1,24 +1,2 @@
-/* 
- *	Jeti, a Java Jabber client, Copyright (C) 2001 E.S. de Boer  
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *	but WITHOUT ANY WARRANTY; without even the implied warranty of
- *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *	GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- *	For questions, comments etc, 
- *	use the website at http://jeti.jabberstudio.org
- *  or mail/IM me at jeti@jabber.org
- */
-
 package nu.fw.jeti.images;
 
@@ -30,18 +8,12 @@
 import javax.swing.Icon;
 import javax.swing.ImageIcon;
-import javax.xml.parsers.FactoryConfigurationError;
-import javax.xml.parsers.ParserConfigurationException;
 import javax.xml.parsers.SAXParser;
-import javax.xml.parsers.SAXParserFactory;
 
-import nu.fw.jeti.backend.Start;
 import nu.fw.jeti.jabber.JIDStatus;
 import nu.fw.jeti.jabber.elements.Presence;
-import nu.fw.jeti.util.Preferences;
-
-import org.xml.sax.SAXException;
 
 /**
- * @author E.S. de Boer
+ * @author Alexandre Correia
+ * 
  */
 
@@ -51,92 +23,37 @@
 	private SAXParser parser;
 
-	public StatusIcons(SAXParser parser)
+	public StatusIcons()
     {
 		if( statusIcons == null )
 		{
-			try{
-				new Icons(parser,"rostericons");
-			}catch(IOException e)
+			statusIcons = new HashMap();
+
+			String urlString = getClass().getResource("StatusIcons.class").toString();
+			try
+			{
+				urlString = urlString.substring(0,urlString.lastIndexOf("StatusIcons.class"));
+				readImages(new BufferedReader(new InputStreamReader(getClass().getResourceAsStream("status.cfg"))),new URL(urlString));
+				readImages(new BufferedReader(new InputStreamReader(getClass().getResourceAsStream("images.cfg"))),new URL(urlString));
+			}
+			catch(MalformedURLException e)
 			{
 				e.printStackTrace();
 			}
-			statusIcons = new HashMap();
-			loadDefaultPics();
-			//loadWebstartPics();
-			List iconList = Preferences.getPlugable("rostericons");
-			for (Iterator i = iconList.iterator();i.hasNext();)
+			catch(NullPointerException e)
 			{
-				Object[] temp = (Object[])i.next();
-				if(((Boolean)temp[1]).booleanValue())
-				{
-					loadRosterIcon((String)temp[4],(String)temp[3]);
-				}
+				System.err.println("nu/fw/jeti/images/Status.cfg or images.cfg missing");
 			}
 		}
 	}
 	
-	public StatusIcons(){}
-	
-	private void loadParser()
-	{
-		try{parser = SAXParserFactory.newInstance().newSAXParser();}
-		catch (FactoryConfigurationError ex){ex.printStackTrace();}
-		catch (SAXException ex){ex.printStackTrace();}
-		catch (ParserConfigurationException ex){ex.printStackTrace();}
-	}
-	
-	protected void reloadRosterIcon(String name,String type)
-	{
-		if(!statusIcons.containsKey(type))loadRosterIcon(name, type);
-	}
-	
-	protected void loadRosterIcon(String filename,String type)
-	{
-		String name2 = filename.substring(0, filename.lastIndexOf("."));
-		InputStream stream = null;
-		URL url = null;
-		try
-		{
-			url = getClass().getResource("/" + name2 + "/");
-			if(url==null) url =  new URL ("jar:" + Start.dataURL + 
-					"plugins/rostericons/" + filename +"!/" + name2 + "/");
-			stream =  new URL(url,"icondef.xml").openStream();
-		}
-		catch (IOException ex)
-		{
-			//ex.printStackTrace();
-		}
-		if(stream==null)
-		{
-			System.out.println(filename + " not found");
-			return;
-		}
-		try
-		{
-			if(parser == null) loadParser();
-			parser.parse(stream ,new RosterIconsHandler(url,statusIcons,type));
-		}
-		catch (SAXException ex)
-		{
-			ex.getException().printStackTrace();
-		}
-		catch (IOException ex)
-		{
-			ex.printStackTrace();
-		}
-	}
-
-	protected void unloadRosterIcon(String name)
-	{
-		statusIcons.remove(name);
-	}
-	
-
-	static public ImageIcon getOfflineIcon()
+	public static ImageIcon getOfflineIcon()
 	{
 		return getStatusIcon(Presence.UNAVAILABLE ,"default");
 	}
 	
-	static public ImageIcon getStatusIcon(int show){return getStatusIcon(show,"");}
+	public static ImageIcon getStatusIcon(int show)
+	{
+		return getStatusIcon(show,"");
+	}
 
 	/** verander
@@ -145,15 +62,9 @@
 	 * @return ImageIcon
 	 */
-	static public ImageIcon getImageIcon(String show){return getStatusIcon(show,"images");}
+	public static ImageIcon getImageIcon(String show)
+	{
+		return getStatusIcon(show,"images");
+	}
 
-
-	/**
-	 * calls getStatusIcon(show,type) whith the default imageset
-	 * @param show
-	 * @return ImageIcon
-	 */
-	//static public ImageIcon getImageIcon(int image){return getStatusIcon(image,"images");}
-
-	//TODO change all calls with jidstatus
 	/**
 	 * returns a status icon
@@ -162,5 +73,5 @@
 	 * @return ImageIcon
 	 */
-	static public ImageIcon getStatusIcon(int show,String type)
+	public static ImageIcon getStatusIcon(int show,String type)
 	{
 		switch (show)
@@ -177,57 +88,24 @@
 	}
 	
-	static public ImageIcon getStatusIcon(JIDStatus jidStatus)
+	public static ImageIcon getStatusIcon(JIDStatus jidStatus)
 	{
 		return getStatusIcon(jidStatus.getShow(),jidStatus.getType());
 	}
 	
-	static private ImageIcon getStatusIcon(String show,String type)
+	private static ImageIcon getStatusIcon(String show,String type)
 	{
-		if(!statusIcons.containsKey(type)) type = "default";
+
+		if ( !statusIcons.containsKey(type) ) 
+			type = "default";
+		
 		ImageIcon icon = (ImageIcon)((Map)statusIcons.get(type)).get(show);
-		if (icon == null) icon = (ImageIcon)((Map)statusIcons.get("default")).get(show);
+		
+		if (icon == null)
+			icon = (ImageIcon)((Map)statusIcons.get("default")).get(show);
+		
 		return icon;
 	}
 
-	public void loadDefaultPics()
-	{
-		// load default smilies
-		// readSmilies(new BufferedReader(new InputStreamReader(PlgEmoticons.class.getResourceAsStream("emoticons/msn/info.cfg"))),null);
-		// Now, search for and get the URL for this class.
-		String urlString = getClass().getResource("StatusIcons.class").toString();
-		// String urlString = url.toString();
-		// System.out.println(url);
-		try
-		{
-			urlString = urlString.substring(0,urlString.lastIndexOf("StatusIcons.class"));
-			readImages(new BufferedReader(new InputStreamReader(getClass().getResourceAsStream("status.cfg"))),new URL(urlString));
-			readImages(new BufferedReader(new InputStreamReader(getClass().getResourceAsStream("images.cfg"))),new URL(urlString));
-		}catch(MalformedURLException e){e.printStackTrace(); }
-		catch(NullPointerException e){System.err.println("nu/fw/jeti/images/Status.cfg or images.cfg missing");}
-	}
-	
-	
-//	public static ImageIcon getImage(String location)
-//	{
-//		//get url for images
-//		URL url = null;
-//		try
-//		{
-//			if (Start.remoteURL != null)
-//			{
-//
-//				url = new URL("jar:" + Start.remoteURL + location);
-//			}
-//			else url = new URL("jar:" + Start.localURL + location);
-//		}
-//		catch (MalformedURLException e)
-//		{
-//			e.printStackTrace();
-//		}
-//		return new ImageIcon(url);
-//	}
-	
-
-	public void readImages(BufferedReader data,URL file)
+	private void readImages(BufferedReader data,URL file)
 	{
 	    try
@@ -242,5 +120,5 @@
 		catch(EOFException e)
 		{
-		    //System.out.println(smilies);
+			e.printStackTrace();
 		}
 		catch (IOException e2)
@@ -252,11 +130,12 @@
 	private void readSmilie(BufferedReader data,URL file,Map current) throws IOException
 	{
-		StringBuffer buffer=new StringBuffer();
-		while(true)
+		StringBuffer buffer = new StringBuffer();
+		
+		while( true )
 		{
 			int in2 = data.read();
-			if(in2 ==-1) throw new EOFException();
+			if( in2 == -1) throw new EOFException();
 			char ca =(char)in2;
-			if(ca ==' ')
+			if ( ca == ' ')
 			{
 				current.put(new String(buffer),readImage(data,file));
@@ -269,50 +148,8 @@
 	private Icon readImage(BufferedReader data,URL file) throws IOException
 	{
-		//Icon icon=null;
-		java.net.URL picURL=null;
-		String resource = data.readLine();
-		picURL =new URL(file + resource);
-		//System.out.println(picURL);
-		//if(picURL ==null) System.err.println(resource +" not found");
-		return new ImageIcon(picURL);
+		return new ImageIcon( new URL(file + data.readLine()) );
 	}
-/*	
-	private void loadWebstartPics()
-	{
-		try
-		{
-			Enumeration m=getClass().getClassLoader().getResources("info.cfg");
-			for(Enumeration s =m;s.hasMoreElements();)
-			{
-				try
-				{
-					//URL urlJar = new URL("jar:"+url+"!/");
-					URL urlJar = (URL )s.nextElement();
-					//JarFile jarFile = new JarFile(  ""  );
-					//BufferedReader data =new BufferedReader(new InputStreamReader(jarFile.getInputStream(jarFile.getEntry("info.cfg"))));
+}
 
-					BufferedReader data = null;
-					data =new BufferedReader(new InputStreamReader(urlJar.openStream()));
-					String url = urlJar.toString(); 
-					url = url.substring(0,url.length()-8);
-					//System.out.println(url);
-					readImages(data,new URL(url));
-				}
-				catch(IOException e)
-				{
-					//System.out.println(currentFile.getName() + " is not a valid jar file");
-					System.err.println(e.toString());
-				}
-			}
-			
-		} catch (IOException e)
-		{
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		
-	}
-*/
-}
 /*
  * Overrides for emacs
Index: unk/jabberit_messenger/java_source/src/nu/fw/jeti/images/RosterIconsHandler.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/RosterIconsHandler.java	(revision 1014)
+++ 	(revision )
@@ -1,128 +1,0 @@
-/* 
- *	Jeti, a Java Jabber client, Copyright (C) 2002 E.S. de Boer  
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *	but WITHOUT ANY WARRANTY; without even the implied warranty of
- *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *	GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- *	For questions, comments etc, 
- *	use the website at http://jeti.jabberstudio.org
- *  or mail me at eric@jeti.tk
- *  
- * 
- */
-
-package nu.fw.jeti.images;
-
-import java.net.MalformedURLException;
-import java.net.URL;
-import java.util.HashMap;
-import java.util.Map;
-
-import javax.swing.Icon;
-import javax.swing.ImageIcon;
-
-import org.xml.sax.helpers.DefaultHandler;
-
-//29-12-2004
-
-/**
- * @author E.S. de Boer
- */
-public class RosterIconsHandler extends DefaultHandler
-{
-	private StringBuffer text = new StringBuffer();
-	private Map iconSet = new HashMap();
-	private Map rosterIcons;
-	private Icon icon;
-	private String name;
-	private String sort;
-	private String type;	
-	private URL path;
-	private Object[] data;
-
-	public RosterIconsHandler(URL path,Map icons,String type)
-    {
-		this.type=type;
-		this.path = path;
-		this.rosterIcons = icons;
-	}
-
-	public RosterIconsHandler(URL path,Object[] data)
-	{
-		this.path = path;
-		this.data = data;
-	}
-
-	public void endDocument()
-	{
-		if(data == null)
-		{
-			rosterIcons.put(type,iconSet);
-		}
-		else data[0] = name;
-	}
-
-	public void endElement(String namespaceURI,String sName,String qName)
-	{
-		String text = this.text.toString().trim();
-		if(qName.equals("name")) name = text;
-		if(data!=null)
-		{
-			if(qName.equals("description")) data[2] = text;
-			//else if(qName.equals("version")) data[3] = text;
-		}
-		else
-		{
-			if(qName.equals("x")) sort = text;
-			if(qName.equals("graphic")) readImage(text);//old
-			else if(qName.equals("object")) readImage(text);//new
-			else if(qName.equals("icon"))
-			{
-				iconSet.put(sort,icon);
-			}
-		}
-		this.text = new StringBuffer();
-	}
-
-	public void characters(char buf[], int offset, int Len)
-	{
-		   text.append(buf, offset, Len);
-	}
-
-	private void readImage(String resource)
-	{
-		URL picURL = null;
-		if(path==null)picURL = getClass().getClassLoader().getResource("msn_messenger-6.0/"+resource);
-		else
-		{
-	        try
-	        {
-	            picURL = new URL(path + resource);
-	        }
-	        catch (MalformedURLException ex)
-	        {
-				//System.err.println(resource +" not found");
-	        	//webstart
-	        }
-		}
-		if(picURL ==null) System.err.println(resource +" not found");
-		else icon =new ImageIcon(picURL);
-	}
-}
-/*
- * Overrides for emacs
- * Local variables:
- * tab-width: 4
- * End:
- */
Index: unk/jabberit_messenger/java_source/src/nu/fw/jeti/images/Icons.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/Icons.java	(revision 1014)
+++ 	(revision )
@@ -1,284 +1,0 @@
-/* 
- *	Jeti, a Java Jabber client, Copyright (C) 2001 E.S. de Boer  
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *	but WITHOUT ANY WARRANTY; without even the implied warranty of
- *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *	GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- *	For questions, comments etc, 
- *	use the website at http://jeti.jabberstudio.org
- *  or mail me at eric@jeti.tk
- *  
- *  30-12-2004
- */
-
-package nu.fw.jeti.images;
-
-import java.io.*;
-import java.net.URL;
-import java.util.ArrayList;
-import java.util.Iterator;
-import java.util.List;
-import java.util.zip.ZipException;
-
-import javax.xml.parsers.FactoryConfigurationError;
-import javax.xml.parsers.ParserConfigurationException;
-import javax.xml.parsers.SAXParser;
-import javax.xml.parsers.SAXParserFactory;
-
-import nu.fw.jeti.backend.Start;
-import nu.fw.jeti.backend.XMLDataFile;
-import nu.fw.jeti.plugins.PluginsHandler;
-import nu.fw.jeti.util.Preferences;
-
-import org.xml.sax.InputSource;
-import org.xml.sax.SAXException;
-
-
-
-/**
- * @author E.S. de Boer
- */
-public class Icons extends XMLDataFile  
-{
-	//TODO combine with emoticons as classloader
-	private List iconList;//all rostericons/emoticons
-	private SAXParser parser;
-	private String iconType;
-
-	public Icons(String type)
-	{
-		iconList = Preferences.getPlugable(type);
-		iconType = type;
-	}
-
-	private void loadParser()
-	{
-		try{parser = SAXParserFactory.newInstance().newSAXParser();}
-		catch (FactoryConfigurationError ex){ex.printStackTrace();}
-		catch (SAXException ex){ex.printStackTrace();}
-		catch (ParserConfigurationException ex){ex.printStackTrace();}
-	}
-		
-	public Icons(SAXParser parser,String type) throws IOException
-	{
-		iconType = type;
-		iconList =Preferences.getPlugable(iconType);
-		this.parser = parser;
-		InputStream  data = null;
-		data = getClass().getResourceAsStream("/" + iconType+".xml");
-		if(data!=null)parseData(data);
-		try
-        {
-			data = (new URL(Start.dataURL + "plugins/" + iconType + "/" + iconType+ ".xml")).openStream();
-			parseData(data);
-		}
-		catch (IOException ex)
-		{
-			if (new File(Start.path + "plugins" + File.separator + iconType).exists()) scanIcons();
-		}
-		
-		//if( iconList.isEmpty() ) throw new IOException("no " + iconType);
-		
-		for(Iterator i = iconList.iterator();i.hasNext();)
-		{
-			//remove icons whitout description /deleted plugins still in preferences
-			Object[] object = (Object[])i.next();
-			if(object[2] == null)
-			{
-				System.out.println(object[0] + "not found or no description");
-				i.remove();
-			}
-			else if(object[3] == null)
-			{
-				object[3] = getType((String)object[0]);
-			}
-		}
-		parser = null;
-	}
-
-	private void parseData(InputStream data)
-	{
-		if(data != null)
-		{
-			try
-			{
-				parser.parse(new InputSource(new InputStreamReader(data,"UTF-8")),new PluginsHandler(iconList));
-			}
-			catch (SAXException ex)
-			{
-				ex.printStackTrace();
-			}
-			catch (IOException ex)
-			{
-				ex.printStackTrace();
-			}
-		}
-	}
-
-	public void scanIcons()
-	{
-		List oldrostericons = new ArrayList(iconList);
-		iconList.clear();
-		searchIcons();
-		//System.out.println(this.toString());
-		try
-		{
-			BufferedWriter writer = new BufferedWriter(new FileWriter(Start.path + "plugins" + File.separator + iconType + File.separator + iconType +".xml"));
-			writer.write(this.toString());
-			writer.close();
-			//new PrintWriter(new BufferedOutputStream(new FileOutputStream(Start.path +"plugins/plugins.xml"))).write(this.toString());
-		}
-		catch (IOException ex2)
-		{
-			ex2.printStackTrace();
-		}
-		for(Iterator i = oldrostericons.iterator();i.hasNext();)
-		{
-			Object[] oldPlugin =(Object[])i.next();
-			for(Iterator j = iconList.iterator();j.hasNext();)
-			{	
-				Object[] newPlugin =(Object[])j.next();
-				if(oldPlugin[0].equals(newPlugin[0]))
-				{
-					newPlugin[1] = oldPlugin[1];
-					if(!oldPlugin[3].equals(""))newPlugin[3] = oldPlugin[3];
-					break;
-				}
-			}
-		}
-		InputStream data = getClass().getResourceAsStream("/" + iconType+".xml");
-		if(data!=null)
-		{
-			if(parser ==null) loadParser();
-			parseData(data);
-		}
-	}
-
-	private void searchIcons()
-	{//voeg samen met plugindata?
-		String urlString = Start.path + "plugins" + File.separator + iconType;
-		
-		//urlString += dir + "/";
-		//System.out.println(urlString);
-		File path = new File(urlString);
-		File file[] = path.listFiles();
-		if(file == null)
-		{
-			//System.out.println("no rostericons");
-			return;
-		}
-		for (int tel=0;tel<file.length;tel++)
-		{
-			File currentFile = file[tel];
-			//if(currentFile.toString().endsWith(".jisp") || currentFile.toString().endsWith(".jar") ||currentFile.toString().endsWith(".zip"))
-			if(currentFile.isFile())
-			{
-				//System.out.println(currentFile);
-				getIconInfo(currentFile);
-			}
-		}
-	}
-
-	private void getIconInfo(File file)
-	{
-		//System.out.println(file);
-		try
-		{
-			String name = file.getName().substring(0, file.getName().lastIndexOf("."));
-			URL urlJar = new URL("jar:"+file.toURL() +"!/" + name + "/");
-			
-			//System.out.println(urlJar);
-			Object[] data = new Object[6];
-			if(parser ==null) loadParser();
-			try{
-				parser.parse(new URL(urlJar,"icondef.xml").openStream(),new RosterIconsHandler(urlJar,data));
-				//parser.parse(stream,new rostericonsHandler(urlJar,data));
-			} catch(ZipException e)
-			{//no zip file so skip
-				return;
-			}
-//			boolean found = false;
-//			for(Iterator i = iconList.iterator();i.hasNext();)
-//			{
-//				Object[] temp = (Object[])i.next();
-//				if(data[0].equals(temp[0]))
-//				{
-//					temp[2] = data[2];
-//					temp[4] = file.getName();
-//					found = true;
-//					break;
-//				}
-//			}
-			//if(!found)
-			{//new plugin
-				//System.out.println("data 0" + data[0]);
-				data[1] = Boolean.TRUE;
-				//temp[2] = data[2];
-				data[3] = getType(file.getName());
-				data[4] = file.getName();
-				iconList.add(data);
-			}
-		}
-		catch (IOException ex)
-		{
-			System.err.println(ex.getMessage());
-		}catch (SAXException ex)
-		{
-			System.err.println(ex.getMessage() + "while parsing " + file.getName());
-			
-		}
-	}
-	
-	private String getType(String name)
-	{
-		name = name.toLowerCase();
-		if(name.indexOf("msn")!=-1) return "msn";
-		if(name.indexOf("icq")!=-1) return "icq";
-		if(name.indexOf("aim")!=-1) return "aim";
-		if(name.indexOf("aol")!=-1) return "aim";
-		if(name.indexOf("jabber")!=-1) return "jabber";
-		if(name.indexOf("yahoo")!=-1) return "yahoo";
-		if(name.indexOf("gadu")!=-1) return "gadu-gadu"; 
-		if(name.indexOf("sms")!=-1) return "sms";
-		if(name.indexOf("smtp")!=-1) return "smtp";
-		if(name.indexOf("mail")!=-1) return "smtp";
-		return "unknown";
-	}
-
-
-	public void appendToXML(StringBuffer xml)
-	{
-		appendHeader(xml);
-		appendOpenTag(xml,"<plugins>");
-		for(Iterator i = iconList.iterator();i.hasNext();)
-		{
-			appendOpenTag(xml,"<plugin>");
-			Object[] temp = (Object[]) i.next();
-			appendElement(xml,"name",(String)temp[0]);
-			appendElement(xml,"description",(String)temp[2]);
-			appendElement(xml,"version",(String)temp[3]);
-			appendElement(xml,"min_jeti_version",(String)temp[4]);//hackje
-			appendCloseTag(xml,"</plugin>");
-		}
-		appendCloseTag(xml,"</plugins>");
-	}
-
-
-}
-/*
- * Overrides for emacs
- * Local variables:
- * tab-width: 4
- * End:
- */
Index: unk/jabberit_messenger/java_source/src/nu/fw/jeti/images/IconPrefPanel.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/images/IconPrefPanel.java	(revision 1014)
+++ 	(revision )
@@ -1,186 +1,0 @@
-/* 
- *	Jeti, a Java Jabber client, Copyright (C) 2001 E.S. de Boer  
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *	but WITHOUT ANY WARRANTY; without even the implied warranty of
- *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *	GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- *	For questions, comments etc, 
- *	use the website at http://jeti.jabberstudio.org
- *  or mail me at eric@jeti.tk
- *  
- *  30-12-2004
- */
-
-package nu.fw.jeti.images;
-
-import java.awt.BorderLayout;
-import java.awt.event.ActionEvent;
-import java.io.File;
-import java.security.AccessControlException;
-import java.util.List;
-
-import javax.swing.*;
-
-import nu.fw.jeti.backend.Start;
-import nu.fw.jeti.plugins.PreferencesPanel;
-import nu.fw.jeti.ui.models.ListTableModel;
-import nu.fw.jeti.util.I18N;
-import nu.fw.jeti.util.Preferences;
-import nu.fw.jeti.util.TableSorter;
-
-/**
- * @author E.S. de Boer
- * @version 1.0
- */
-
-public class IconPrefPanel extends PreferencesPanel
-{
-	private BorderLayout borderLayout1 = new BorderLayout();
-	private JScrollPane jScrollPane1 = new JScrollPane();
-	private JTable jTable1;
-	private JButton jButton1 = new JButton();
-    protected ListTableModel dataModel;
-    private String iconType;
-
-	public IconPrefPanel(String type)
-	{
-		iconType = type;
-		dataModel = new ListTableModel(
-            new String[] {
-                I18N.gettext("emoticons.Name"),
-                I18N.gettext("emoticons.Enabled"),
-                I18N.gettext("emoticons.Description"),
-                I18N.gettext("emoticons.Type") },
-            Preferences.getPlugableCopy(iconType));
-
-        TableSorter sorter = new TableSorter(dataModel);
-        jTable1 = new JTable(sorter);
-        sorter.setTableHeader(jTable1.getTableHeader());
-        sorter.setSortingStatus(0, TableSorter.ASCENDING);
-        //jTable1.setDefaultRenderer(String.class, new IconRenderer());
-		jTable1.setRowSelectionAllowed(false);
-
-        jTable1.getColumnModel().getColumn(0).setPreferredWidth(60);
-        jTable1.getColumnModel().getColumn(1).setPreferredWidth(15);
-        jTable1.getColumnModel().getColumn(2).setPreferredWidth(180);
-        jTable1.getColumnModel().getColumn(3).setPreferredWidth(40);
-        
-        String c[];
-        if(iconType.equals("rostericons"))
-        {
-        	c =new String[]{"jabber","msn","icq",
-        		"aim","yahoo","gadu-gadu","sms","smtp","unknown","default"};
-        }
-        else
-        {
-        	c =new String[]{"jabber","msn","icq",
-            		"aim","yahoo","gadu-gadu","groupchat","default","unknown"};
-        }
-        
-        JComboBox comboBox =  new JComboBox(c);
-        comboBox.setEditable(true);
-        jTable1.getColumnModel().getColumn(3).
-				setCellEditor(new DefaultCellEditor(comboBox));
-                
-		this.setLayout(borderLayout1);
-		try {
-		if (new File(Start.path + "plugins" + File.separator + iconType).exists())
-		{	
-			I18N.setTextAndMnemonic("emoticons.Scan_Emoticons",jButton1);
-			jButton1.addActionListener(new java.awt.event.ActionListener()
-			{
-				public void actionPerformed(ActionEvent e)
-				{
-					jButton1_actionPerformed(e);
-				}
-			});
-			this.add(jButton1, BorderLayout.SOUTH);
-		}
-		}catch(AccessControlException e) {/*security exception so no scan*/}
-		this.add(jScrollPane1, BorderLayout.CENTER);
-		jScrollPane1.getViewport().add(jTable1, null);
-	}
-
-	void jButton1_actionPerformed(ActionEvent e)
-	{
-		new Icons(iconType).scanIcons();
-		dataModel.reload(Preferences.getPlugableCopy(iconType));
-	}
-
-	public void savePreferences()
-	{
-		List oldStatus = Preferences.getPlugable("rostericons");
-		List newStatus = dataModel.getPlugins();
-		
-		StatusIcons plugin = null;
-		boolean reloadNeeded=false;
-		try {
-			for (int i = 0; i < newStatus.size(); i++)
-			{
-				Object[] newS = (Object[]) newStatus.get(i);
-				Object[] oldS = (Object[]) oldStatus.get(i);
-				if (!newS[3].equals(oldS[3]))
-				{
-					reloadNeeded = true;
-					if (plugin == null) plugin = new StatusIcons();
-					plugin.unloadRosterIcon((String) oldS[3]);
-					plugin.unloadRosterIcon((String) newS[3]);
-					oldS[3]=newS[3];
-				}
-				if (!newS[1].equals(oldS[1]))
-				{
-					oldS[1] = newS[1];
-					if (((Boolean) oldS[1]).booleanValue())
-					{
-						if(!reloadNeeded)
-						{
-							//load
-							if (plugin == null)	plugin = new StatusIcons();
-							plugin.loadRosterIcon((String) oldS[4],(String)oldS[3]);
-						}
-					}
-					else
-					{
-						//unload
-						if (plugin == null) plugin = new StatusIcons();
-						plugin.unloadRosterIcon((String) oldS[3]);
-					}
-				}
-			}
-			if(reloadNeeded)
-			{
-				for (int i = 0; i < newStatus.size(); i++)
-				{
-					Object[] oldS = (Object[]) oldStatus.get(i);
-					if (((Boolean) oldS[1]).booleanValue())
-					{
-						if (plugin == null)	plugin = new StatusIcons();
-						plugin.reloadRosterIcon((String) oldS[4],(String)oldS[3]);
-					}
-				}
-			}
-		}
-		catch (Exception e)
-		{//FIXME quick hack to solve icon preferences saving on applet
-			e.printStackTrace();
-		}
-		
-	}
-}
-/*
- * Overrides for emacs
- * Local variables:
- * tab-width: 4
- * End:
- */
Index: /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/backend/Start.java
===================================================================
--- /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/backend/Start.java	(revision 1064)
+++ /trunk/jabberit_messenger/java_source/src/nu/fw/jeti/backend/Start.java	(revision 1091)
@@ -70,5 +70,5 @@
 	private Backend backend;
 	
-	public Start(String urlString,Container container)
+	public Start(String urlString, Container container)
 	{
 		try
@@ -92,8 +92,6 @@
 			urlString = getPath();
 		
-		if (System.getProperty("file.separator").equals("/"))
-		{
+		if ( System.getProperty("file.separator").equals("/") )
 			pluginPath = urlString.substring(5);
-		}
 		else 
 			pluginPath = urlString.substring(6);
@@ -115,23 +113,17 @@
 			BUILD_NUM = p.getProperty("buildNum");
 		} 
-		catch (Exception e)
-		{
-			System.out.println("Can't find the version.properties file");
-		}
-		
+		catch (Exception e){}
 		
 		backend = new Backend(this);
-		new Preferences(backend, parser);
-		JFrame.setDefaultLookAndFeelDecorated(Preferences.getBoolean("jeti","javadecorations",false));
-		
-		//parse plugins? make better or make comments
-		new StatusIcons(parser);
+		new Preferences( backend, parser );
+		new StatusIcons();
 		Jeti jeti = new Jeti(backend,container);
-		new Log(backend);
-		new Popups(backend.getMainWindow());
+		new Popups( backend.getMainWindow() );
 		pluginsInfo = new PluginsInfo(backend,parser,this);
 		jeti.init();
-		if(container!=null) container.add(jeti);
-		else backend.getMainWindow().setVisible(true);
+		if( container != null)
+			container.add(jeti);
+		else 
+			backend.getMainWindow().setVisible(true);
 	}
 	
@@ -143,5 +135,4 @@
 	private String getPath()
 	{
-		// Now, search for and get the URL for this class.
 		URL url = this.getClass().getResource("Start.class");
 		//System.out.println(url);
@@ -149,5 +140,6 @@
 
 		try
-		{ //remove %20 from program files etc
+		{ 
+			//remove %20 from program files etc
 			urlString = URLDecoder.decode(url.toString(), "UTF8"); //encode if to url? probaly not
 		}
@@ -155,8 +147,6 @@
 		{
 			e.printStackTrace();
-		} //1.2 error
-
-		//System.out.println(url.getPath()  ); //werkt niet in 1.2
-		//System.out.println(url);
+		}
+
 		if (url.getProtocol().equals("jar"))
 		{
@@ -206,6 +196,6 @@
 	{
 		pluginsInfo.exit();
-		if(applet)nu.fw.jeti.applet.Jeti.exit();
-		backend=null;
+		nu.fw.jeti.applet.Jeti.exit();
+		backend = null;
 	}
 
@@ -235,4 +225,5 @@
     }
 }
+
 /*
  * Overrides for emacs
@@ -241,3 +232,2 @@
  * End:
  */
-
